Subject: Re: [ietf-smtp] [Uta] SMTP Over TLS on Port 26 - Implicit TLS Proposal

From: Jeremy Harris <[email-masked]>
Date: Sat, 5 Jan 2019 17:11:32 +0000

On 05/01/2019 15:50, Viruthagiri Thirumavalavan wrote:
> I have a proposal for SMTPS (Implicit TLS), port 25 secure alternative on a
> new dedicated port 26.
> 
> Both MTA-STS and MTA-DANE tries to fix the STARTTLS downgrade issue.
> However the implementation is not simple. The former requires a HTTPS
> server and the latter requires DNSSEC.
> 
> I'm proposing a very simple solution. It's actually dead simple.

You seem to be part-duplicating the intent of a DNS SRV record.

Wouldn't the definition of a service name "smtps" with no hardcoded
port number (per RFC 6335), and the use of SRV per RFC 2782, do the
job and be preferred to an ad-hoc method?
-- 
Cheers,
  Jeremy